fn main() {
    // ANCHOR: here
    let v = vec![1, 2, 3, 4, 5];

    let third: &i32 = &v[2];
    println!("Trzeci element to {third}");

    let third: Option<&i32> = v.get(2);
    match third {
        Some(third) => println!("Trzeci element to {third}"),
        None => println!("Nie ma trzeciego elementu."),
    }
    // ANCHOR_END: here
}
